# Class HeapItem<V>

#### Type Parameters

- #### V = any

#### Hierarchy

- HeapItem

- Defined in src/data-structures/heap/heap.ts:11

#####
Index

### Constructors

constructor

### Properties

_priority
_val

### Accessors

priority
val

## Constructors

### constructor

- new HeapItem<V>(priority?, val?): HeapItem<V>

- The constructor function initializes an instance of a class with a priority and a value.

  #### Type Parameters

  - #### V = any

  #### Parameters

  - ##### priority: number = Number.MAX_SAFE_INTEGER

    The `priority` parameter is a number that represents the priority of the value. It is optional and has a default value of `NaN`.

  - ##### `Optional` val: null | V = null

    The `val` parameter is of type `V | null`, which means it can accept a value of type `V` or `null`.

  #### Returns HeapItem<V>

  - Defined in src/data-structures/heap/heap.ts:19

## Properties

### `Private` _priority

_priority: number

- Defined in src/data-structures/heap/heap.ts:24

### `Private` _val

_val: null | V

- Defined in src/data-structures/heap/heap.ts:34

## Accessors

### priority

- get priority(): number

- #### Returns number

  - Defined in src/data-structures/heap/heap.ts:26
- set priority(value): void

- #### Parameters

  - ##### value: number

  #### Returns void

  - Defined in src/data-structures/heap/heap.ts:30

### val

- get val(): null | V

- #### Returns null | V

  - Defined in src/data-structures/heap/heap.ts:36
- set val(value): void

- #### Parameters

  - ##### value: null | V

  #### Returns void

  - Defined in src/data-structures/heap/heap.ts:40

Generated using TypeDoc